#jinja2:lstrip_blocks: True
version: '3.8'
services:
{% for service in services %}
  {{ service.name }}:
    {% if service.image is defined %}
    image: {{ service.image }}
    {% endif %}
    {% if service.ports%}
    ports:
      {% for port in service.ports %}
      - {{ port }}
      {% endfor %}
    {% endif %}
    {% if service.volumes%}
    volumes:
      {% for volume in service.volumes %}
      - {{ volume }}
      {% endfor %}
    {% endif %}
    {% if service.environment%}
    environment:
      {% for environment in service.environment %}
      - {{ environment }}
      {% endfor %}
    {% endif %}
    {% if service.restart is defined %}
    restart: {{ service.restart }}
    {% endif %}
    {% if service.networks%}
    networks:
      {% for network in service.networks %}
      - {{ network }}
      {% endfor %}
    {% endif %}
{% endfor %}

{% if networks %}
networks:
{% for network in networks %}
  {{ network.name }}:
    driver: {{ network.driver }}
{% endfor %}
{% endif %}